Subject: Re: linux-next: arm tree build failure

From: Russell King <[email-masked]>
Date: Tue, 19 Aug 2008 17:06:56 +0100

On Tue, Aug 19, 2008 at 01:21:44PM +0200, Takashi Iwai wrote:
> I also got a build error with ucb1400 regarding undefined
> gpio_get_value() (sorry I lost the exact build log).
> 
> The patch below fixes it, but not 100% sure whether it breaks the
> build on ARM.  Please check it.

There's nothing in ucb1400.h that would require gpio.h, nor in
ucb1400_*.c, so I think it's safe to remove.  Mind if I merge your
patch into Marek's original to avoid bisect problems?

Ditto for Stephen's patch?

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: